lv.eparaksts.edoc

## Class DataObject

- java.lang.Object
- - lv.eparaksts.edoc.DataObject

-     public class DataObject
      extends Object

  `DataObject` represents file data contained by the document.
  See Also:
    `EDoc2.addDataObject(InputStream, String, String)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataObject(URI iri, String mimeType, File file)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getFile()` Returns the data object's temporary file reference.
    `String` | `getMimeType()` Returns a mime type of the data object.
    `String` | `getName()` Returns name of the data object.
    `URI` | `getURI()` Returns `URI` path of the data object relative to the document structure.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataObject

          public DataObject(URI iri,
                            String mimeType,
                            File file)

  - ### Method Detail

    - #### getName

          public String getName()

      Returns name of the data object.
      Returns:
        URI path string representation.

    - #### getMimeType

          public String getMimeType()

      Returns a mime type of the data object.
      Returns:
        mime type.

    - #### getFile

          public File getFile()

      Returns the data object's temporary file reference.
      Returns:
        data object's temporary file reference.

    - #### getURI

          public URI getURI()

      Returns `URI` path of the data object relative to the document structure.
      Returns:
        data object URI.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO